require 'enemy'
require 'player'
require 'gui'
require 'minion'
require 'bullet'
cl = require 'middleclass'

function love.load()
  gui_load()
  enemy_load()
  player_load()
  minion_load()
  bullet_load()
  love.graphics.setBackgroundColor(50,50,50)
  function timer(t)
	local tm = t
	if tm >= 0 then
	  --movement timer countdown and movement values off
	  tm = tm - 1*.001
	else
	  return true
	end
  end
end
function love.update(dt)
  gui_update(dt)
  enemy_update(dt)
  player_update(dt)
  minion_update(dt)
  bullet_update(dt)
end
function love.draw()
  enemy_draw()
  player_draw()
  gui_draw()
  minion_draw()
  bullet_draw()
end
function love.keypressed(key)
 if key == 'escape' then
   love.event.push('quit')
 end
end
function love.keyreleased(key)
  if key == '1' or key == '2' or key == '3' then
    minion.can_spawn = true
  else
	return key
  end
end