function minion_load()
timer_default = 2
  minion = {}
  minion.img = {}
  minion.img[1] = love.graphics.newImage('minion1.png')
  minion.img[2] = love.graphics.newImage('minion2.png')
  minion.img[3] = love.graphics.newImage('minion3.png')
  minion.scale = .5
  --minion.can_spawn = true
  minion.move_dist = 10
  minion.move_range = 3
  minion.can_spawn = true
  
  minion.spawned = {}
  function create_minion(x,y,kind)
    --creates a minon
    local mimg = minion.img[kind]
	local HP = 0
	if kind == 1 or 2 then
	  HP = kind*2
	end
    table.insert(minion.spawned, {kind=kind,
		img=mimg,
		x=x,
		y=y,
		move=false,
		h_dir = 'none',
		hp=HP,
		move_dist = 5*kind,
		move_range_pos=0,
		move_range=kind*3,
		move_timer=timer_default,
		move_timer_out=false,
		bullet_timer_range={10,40},
		bullet_timer_out=false,
		bullet_timer=kind*3})
	end
  function can_afford(k)
	if player.credits >= k*10 then
		return true
	end
  end
end
function minion_update(dt)
  local mv = enemy.move_timer_out
   for i = 1, table.getn(minion.img) do
	if love.keyboard.isDown(i) then
	  if can_afford(i) and minion.can_spawn then
	  	create_minion(player.x,player.y-40,i)
	  	player.credits = player.credits - i*10
		minion.can_spawn = false
	  end
	end
  end
  for i,v in ipairs(minion.spawned) do
	if v.move_timer >= 0 then
		--movement timer countdown and movement values off
		v.move_timer = v.move_timer - 10*dt
		v.move = false
	else
		v.move = true
	end
	if v.move then
		if v.h_dir == 'left' then
			v.x = v.x - v.move_dist
			v.move_range_pos = v.move_range_pos-1
		elseif v.h_dir == 'right' then
			v.x = v.x + v.move_dist
			v.move_range_pos = v.move_range_pos+1
		end
		if v.move_range_pos >= v.move_range then
			v.h_dir = 'left'
		elseif v.move_range_pos < 1 then
			v.h_dir = 'right'
		end
		v.move_timer = timer_default
	end
	if v.bullet_timer >= 0 then
	  v.bullet_timer = v.bullet_timer - 10*dt
	  v.bullet_timer_out = false
	else
	  v.bullet_timer_out = true
	  v.bullet_timer = math.random(unpack(v.bullet_timer_range))
	end
	if v.bullet_timer_out then
	  if v.kind == 1 then
	    bullet_spawn(v.x,v.y,0,-100,v.kind)
      end
	end
  end
end
function minion_draw()
  for i,v in ipairs(minion.spawned) do
   love.graphics.draw(v.img,v.x,v.y,0,minion.scale,minion.scale)
  end
end