function bullet_load()
  bullet = {}
  bullet.img = {}
  bullet.img[1] = love.graphics.newImage('bullet1.png')
  bullet.img[2] = love.graphics.newImage('bullet2.png')
  bullet.img[3] = love.graphics.newImage('bullet3.png')
  bullet.spawned = {}
  function bullet_spawn(x,y,xvel,yvel,kind)
    table.insert(bullet.spawned, {x=x,y=y,xvel=xvel,yvel=yvel,img=kind})
  end
end
function bullet_update(dt)
  for i,b in ipairs(bullet.spawned) do
	b.x = b.x + b.xvel*dt
	b.y = b.y + b.yvel*dt
  end
end
function bullet_draw()
  for i,v in ipairs(bullet.spawned) do
    love.graphics.draw(bullet.img[v.img],v.x,v.y)
  end
end