
function player_load()
  player = {}
  player.x = love.graphics.getWidth()/2
  player.y = love.graphics.getHeight()-50
  player.speed = 100
  
  player.img = love.graphics.newImage('player.png')
  player.scale = .5
  
  player.score = 0
  player.lives = 3
  player.credits = 100
end

function player_update(dt)
  if love.keyboard.isDown('a') or love.keyboard.isDown('left') then
    player.x = player.x - player.speed*dt
  elseif love.keyboard.isDown('d') or love.keyboard.isDown('right') then
    player.x = player.x + player.speed*dt
  end
  if player.x <= 0 then
    player.x = 0
  elseif player.x+(player.img:getWidth()*player.scale) >= love.graphics.getWidth() then
    player.x = love.graphics.getWidth()-(player.img:getWidth()*player.scale)
  end
end

function player_draw()
  love.graphics.draw(player.img,player.x,player.y,0,player.scale,player.scale)
end